Name:           python-ladon
Version:        0.6.7
Release:        2%{?dist}
Summary:        Multiprotocol approach to creating a webservice

License:        LGPLv3+
URL:            http://ladonize.org
Source0:        http://pypi.python.org/packages/source/l/ladon/ladon-%{version}.tar.gz
# #md5=07dd1d395d0d7123448d7710bb3da32a

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-jinja2
Requires:		python-chardet

%description
Ladon is a framework for exposing methods to several internet service 
protocols. Once a method is ladonized it is automatically served through 
all the interfaces that your ladon installation contains. Ladon's interface 
implemetations are added in a modular fashion making it very easy extend 
Ladon's protocol support. 

%prep
%setup -q -n ladon-%{version}

# remove egg-info:
rm -rf src/ladon.egg-info

# remove bundled chardet lib
rm -rf src/chardet_py2

# correct references to chardet
for i in `find src/ladon -name '*.py'`; do
    sed -i -e 's/chardet_py2/chardet/' $i
done

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
chmod 755 %{buildroot}/%{python_sitelib}/ladon/clients/jsonwsp.py
rm %{buildroot}/%{_bindir}/ladon2.?ctl.py

%files
%doc PKG-INFO
%{python_sitelib}/ladon
%{python_sitelib}/ladon-%{version}-py?.?.egg-info
%{_bindir}/ladon?.?ctl

%changelog
* Mon Mar 12 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.6.7-2
- spec cleanup
- make sure, removed bundled lib isn't referenced anymore

* Thu Feb 02 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.6.7-1
- update to Version 0.6.7

* Fri Jan 06 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.6.5-2
- remove unecessary definition, buildroot cleaning
- correct build requirements

* Wed Jan 04 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.6.5-1
- initial fedora package
